# Generated by rust2rpm
# regex(dev) -> quickcheck(opt) -> env_logger(opt) -> regex
%bcond_with check
%global debug_package %{nil}

%global crate regex

Name:           rust-%{crate}
Version:        0.2.11
Release:        1%{?dist}
Summary:        Implementation of regular expressions for Rust

License:        MIT or ASL 2.0
URL:            https://crates.io/crates/regex
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * unstable features require nightly
Patch0:         regex-0.2.9-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(aho-corasick) >= 0.6.0 with crate(aho-corasick) < 0.7.0)
BuildRequires:  (crate(memchr) >= 2.0.0 with crate(memchr) < 3.0.0)
BuildRequires:  (crate(regex-syntax) >= 0.5.6 with crate(regex-syntax) < 0.6.0)
BuildRequires:  (crate(thread_local) >= 0.3.2 with crate(thread_local) < 0.4.0)
BuildRequires:  (crate(utf8-ranges) >= 1.0.0 with crate(utf8-ranges) < 2.0.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(lazy_static) >= 1.0.0 with crate(lazy_static) < 2.0.0)
BuildRequires:  (crate(quickcheck) >= 0.6.0 with crate(quickcheck) < 0.7.0)
BuildRequires:  (crate(rand) >= 0.4.0 with crate(rand) < 0.5.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
An implementation of regular expressions for Rust. This implementation uses
finite automata and guarantees linear time matching on all inputs.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md CHANGELOG.md HACKING.md PERFORMANCE.md UNICODE.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/{appveyor.yml,ci,scripts}

%changelog
* Tue May 01 2018 Josh Stone <jistone@redhat.com> - 0.2.11-1
- Update to 0.2.11

* Fri Mar 16 2018 Josh Stone <jistone@redhat.com> - 0.2.10-1
- Update to 0.2.10

* Wed Mar 14 2018 Josh Stone <jistone@redhat.com> - 0.2.9-1
- Update to 0.2.9

* Fri Feb 09 2018 Josh Stone <jistone@redhat.com> - 0.2.6-1
- Update to 0.2.6

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.5-2
- Rebuild for rust-packaging v5

* Sun Dec 31 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.5-1
- Update to 0.2.5

* Sat Dec 02 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-3
- Bump quickcheck to 0.5

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-2
- Bump lazy_static to 1

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-1
- Update to 0.2.3

* Wed Nov 08 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-2
- Bump memchr to 2

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-1
- Update to 0.2.2

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.1-2
- Port to use rust-packaging

* Sat Feb 25 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.1-1
- Initial package
